Page tree
Skip to end of metadata
Go to start of metadata

Below, you'll find the supported operating systems, supported internet browsers, and minimum specifications for using Blackboard.

 

Windows

Mac

Operating System

Windows XP and later

OS X 10.5 and later

Internet Browsers

IE 8.x and above
Firefox 3.x and above

Firefox 3.x and above
Safari 4.x and above

Sun Java Runtime Environment

Java Standard Edition 6 and above

Java Standard Edition 6 and above

Icon

For a detailed list of compatible browsers and operating systems visit Blackboard's support page directly at http://kb.blackboard.com/pages/viewpage.action?pageId=38830689

Mobile Access

Icon

While you may be able to access Blackboard from a mobile platform, it will not be optimized for that device and a number of functions will not be accessible. We are investigating the use of the Blackboard Mobile App, but at this time it is not available.

  • No labels